Subject: bug#53891: 29.0.50; native comp eln cache

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Feb 2022 09:07:08 +0100

Colin McLear <[email-masked]> writes:

> On recent version from emacs-master I've noticed that I can no longer
> reliably set the eln-cache. I have the following in my early-init.el:
>
> ```
> ;; Dir for eln-cache
> (when (boundp 'native-comp-eln-load-path)
> (setcar native-comp-eln-load-path
> (expand-file-name (convert-standard-filename ".local/temp/cache/eln-cache/")
> user-emacs-directory)))
>
> ;; Silence nativecomp warnings popping up
> (setq native-comp-async-report-warnings-errors nil)
>
> ;; Settings
> (setq native-comp-speed 2
> native-comp-deferred-compilation t
> package-native-compile t)
> ```
> But this isn't reliably setting the cache and I've had to rever to an
> earlier commit where things worked (as reported in the versio info).

What's the value of native-comp-eln-load-path with and without your
alteration of it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no